package org.freecompany.infoset;

import java.util.Iterator;
import java.util.List;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.xpath.XPathFunction;
import javax.xml.xpath.XPathFunctionException;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class CurrentFunction implements XPathFunction {

	public Object evaluate( List args) throws XPathFunctionException {
		Document document;
		try {
			document = DocumentBuilderFactory.newInstance().newDocumentBuilder().newDocument();
		} catch ( ParserConfigurationException e) {
			throw new XPathFunctionException( e);
		}
		
		if ( args.size() > 0) throw new XPathFunctionException( "Function 'current' accepts no arguments.");
		
		document.appendChild( document.importNode( null, true));
		return document;
	}
}
