package org.freecompany.infoset;

import static org.freecompany.infoset.InfosetFactory.Registry.lookup;

public class DefaultInfoset< T> extends AbstractInfoset< T> {

	protected final T model;

	public DefaultInfoset( final Class< T> type, final T model) {
		this( type, lookup( type), model);
	}

	public DefaultInfoset( final Class< T> type, final InfosetFactory< T> factory, final T model) {
		super( type, factory);
		this.model = model;
	}

	public T get() {
		return model;
	}
}
